Zh YandexMap component, support user’s layers

Всем привет.

Доработан компонент, но только для 2-й версии АПИ

– теперь есть дополнительный элемент в подробностях карты, который позволяет включить OSM слой.

– у вас также есть возможность указать какие пользовательские типы карт отображаются на вашей карте, и, можно также указать тип пользовательской карты, который будет сразу же отображен (первый из списка)

– появился дополнительный таб, относящийся к созданию пользовательского типа карты. На днях создам урок по этому в документации

– в опциях компонента также можно конфигурировать какие типы карт, которые отображаются в админке при вводе меток, создании карты и рисовании пути

 

Модуль и плагин (поддержка пользовательских типов карт) будет доработан в ближайшее время.

 

PS hotspot’ы пока не реализовал

Zh GoogleMap component, you can show/hide KML layers by its list

Hi

Changes 4.1.0.0:
* you can manage KML layers by Group list
* powered by added

In other words:
1 – in paths details you can set “Placemark Group“. In this case this paths will be added into Placemark List for Group Control
2 – if you enable Placemark Group Control in map details, you can try to show/hide KML layers. See details below.
3 – In map details I’ve added 2 fields; slider “Placemark Groups
3.1 – Manage Placemarks – default to Yes, in this case you manage placemarks
3.2 – Manage Paths – if you set KML layer – you can manage KML’s, which belongs this groups

After that Placemark Group list filled by your settings

4 – in final page result I’ve added “copyright”, it means I’ve added “powered by: zhuk.cc” or image on map for that.

You CAN hide this message. Go to component Options
Read text and select the other value. Think of project support!

Zh GoogleMap – User’s Sites Demo

Hi.

You ask me about links to the other sites, which uses my Zh GoogleMap extensions.

You can post to forum
http://forum.zhuk.cc/index.php/forum/gm-user-s-sites

And I’ll add into my directory
http://joomla.zhuk.cc/index.php/zhgooglemap-users-sites

Best wishes.

PS: Tomorrow I’ll do new release for component and plugin
– component – you will have ability to manage KML files by Placemark Group List
– plugin – GeoTags – you will have ability to call different maps for GeoTags – Google, Bing, Nokia, Yandex, OSM, Yahoo

Extension Translation is moved to Transifex Project

Hi all.

I decided to join to using transifex project as a translation hub for more convenient way. You don’t need to think of how to work with translation files (filenames, when you enter your translation, and the other things)

Now ALL translation is moved into transifex project

Translation for Component
https://www.transifex.com/projects/p/zh-googlemap/

  • for FrontEnd file name starts with site
  • for BackEnd (administrator) file name starts with admin

 

Translation for Module
https://www.transifex.com/projects/p/zh-googlemap-module/

Translation for Plugin
https://www.transifex.com/projects/p/zh-googlemap-plugin/

Join to translation of my projects 🙂

Just register there as a translator and add request to jo join the your language translation of the Zh GoogleMap.

Thanks in advance

Dmitry

Zh GoogleMap can run on Joomla! 3.0: Update Server supports upgrade for J!3

Hi there.

I’ve done first release for my Zh GoogleMap component, plugin and module for Joomla! 3.0

Now you can install current version into your site (which is on J!3), and call Extension Manager to find new versions upgrades, and after you find and install – you’ll get my extensions for J!3.

Today evening or tomorrow I’ll do releases into JED (for J!3 support).

PS: New features – added sorting
PPS: I’ve moved to 4-digit versioning, because I think I have to do a lot for J!3 support, therefore I can need more little versions :).
Today there is no good looking map objects properties (no tabs, only column with sliders), but I’m thinking of it.

Cheers, Dmitry

Zh YandexMap plugin bugfix. Update Server supports upgrade Zh YandexMap for J!3

Всем привет.

Пока дорабатывал поддержку Joomla! 3 нашел небольшую ошибочку – неинициализированная переменная (предупреждение PHP для плагина при включенной версии АПИ карт 2).

Теперь сервер обновлений расширений поддерживает версию расширений (компонент, плагин и модуль) для Joomla! 3.0
Просто установите расширение из JED и выполните поиск обновлений – и расширения обновятся до текущей alfa-версии, которая полностью работает в J!3. В JED я добавлю эту версию как только доделаю “красивый” внешний вид админки компонента.